### Property

# Gcr SecretExchange:protocol

since: 4

#### Declaration

    property protocol: utf8 [ read, write, construct-only ]

#### Description [src]

The protocol being used for the exchange.

Will be `NULL` if no protocol was specified when creating this object, and either `gcr_secret_exchange_begin()` or `gcr_secret_exchange_receive()` have not been called successfully.

Type: | `gchar*`
Available since: | 4

Default value | sx-aes-1
Getter method | `gcr_secret_exchange_get_protocol()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes